import { merge } from 'lodash';

const staticData = {};

const staticDataAction = {
  getStaticData(dataName) {
    return this.staticData[dataName];
  },
  applyStaticData(data) {
    this.staticData = merge(this.staticData, data);
  },
};

export default Object.assign(staticData, staticDataAction);
